undead
{
	projectiles
	{
		chain = "UDnormal,UDbomb,UDscatter,skull"
		
		#include="db/battle/proj/UDnormal.hxx"
		#include="db/battle/proj/UDbomb.hxx"
		#include="db/battle/proj/UDscatter.hxx"
		#include="db/battle/proj/skull.hxx"
	}

	buildings
	{
		cottage
		{
			$mesh="objects/undead_hut.obj"


			smoke
			{
				width		= "0.05"
				height		= "1.25"
				color		= "0x0000FF00"
				speed		= "0.4"
			}


			build_sounds
			{
				count = "4"
				$snd4 = "audio/ingame/undead/worker.lsf,5,25"
			}
		}

		inn
		{
			$mesh="objects/undead_inn.obj"

			smoke
			{
				pos_offset	= "0.11, 0.45, 0.05"
				width		= "0.075"
				height		= "1.5"
				color		= "0"
				speed		= "0.2"
			}

			build_sounds
			{
				count = "4"
				$snd4 = "audio/ingame/undead/worker.lsf,5,25"
			}
		}

		smithy
		{
			$mesh="objects/undead_blacksmith.obj"

			yield_ammo_type="UDbomb"

			smoke
			{
				$texture	= "textures/smoke2.tga"
				pos_offset	= "-0.290, 0.520, 0.155"
				color		= "0"
				height		= "1.0"
				width		= "0.1"
				speed		= "0.1"
			}

			build_sounds
			{
				count = "4"
				$snd4 = "audio/ingame/undead/worker.lsf,5,25"
			}
		}

		armory
		{
			$mesh="objects/undead_armoury.obj"

			yield_ammo_type="UDscatter"

			build_sounds
			{
				count = "4"
				$snd4 = "audio/ingame/undead/worker.lsf,5,25"
			}
		}

		chapel
		{
			$mesh="objects/undead_special_mausoleum.obj"

			yield_ammo_type="skull"

			build_sounds
			{
				count = "4"
				$snd4 = "audio/ingame/undead/worker.lsf,5,25"
			}
		}
	}

	tower
	{
		prebuilds
		{
		}
		hit_sounds
		{
			count = "3"
			$snd2 = "audio/ingame/undead/muller.lsf,5,25"
		}
	}

	catapult
	{
		launch_sounds
		{
			count = "3"
			$snd2 = "audio/ingame/undead/Launch_Katapult.lsf,3,15,128,128"
		}	
	}
}
