particles
{
	projectile_trail
	{
		$texture		= "textures/trail.tga"
		max_particles	= "100"
		gravity			= "-0.2"
		additive		= "0"
		align			= "camera"

		params
		{
			param
			{
				color	= "0xAAFFFFFF"
				time	= "0.5"
				size	= "0.0"
			}

			param
			{
				color	= "0xFFFFFFFF"
				time	= "2.5"
				size	= "0.3"
			}

			param
			{
				color	= "0x00FFFFFF"
				time	= "100.0"	// Set time to any nonzero on last
				size	= "1.0"
			}
		}
	}

	projectile_impact
	{
		$texture		= "textures/impact.tga"
		max_particles	= "30"
		gravity			= "-0.2"
		additive		= "0"
		align			= "camera"
		
		params
		{
			param
			{
				color	= "0xFFFFFFFF"
				time	= "0.5"
				size	= "0.15"
			}

			param
			{
				color	= "0x00FFFFFF"
				time	= "100.0"	// Any nonzero
				size	= "0.7"
			}
		}
	}

	tower_level_destroyed
	{
		$texture		= "textures/impact.tga"
		max_particles	= "30"
		gravity			= "0.0"
		additive		= "0"
		align			= "camera"

		params
		{
			param
			{
				color	= "0xFFFFFFFF"
				time	= "0.5"
				size	= "0.5"
			}

			param
			{
				color	= "0x00FFFFFF"
				time	= "100.0"	// Any nonzero
				size	= "1.0"
			}
		}
	}

	bomb_explosion
	{
		$texture		= "textures/explosion.tga"
		max_particles	= "30"
		gravity			= "0"
		additive		= "1"
		align			= "camera"
		
		params
		{
			param
			{
				color	= "0xFFFFFFFF"
				time	= "0.7"
				size	= "0.5"
			}

			param
			{
				color	= "0xFF000000"
				time	= "100.0"	// Any nonzero
				size	= "1.0"
			}
		}
	}

	power_shock
	{
		$texture		= "textures/shockwave.tga"
		max_particles	= "30"
		gravity			= "0"
		additive		= "1"
		align			= "ground"

		params
		{
			param
			{
				color	= "0xFFFFFFFF"
				time	= "0.5"
				size	= "0.5"
			}

			param
			{
				color	= "0xFF000000"
				time	= "100.0"	// Any nonzero
				size	= "3.0f"
			}
		}
	}
	
	house_fire
	{
		$texture		= "textures/explosion.tga"
		max_particles	= "30"
		gravity			= "0"
		additive		= "1"
		align			= "camera"
		
		params
		{
			param
			{
				color	= "0xFF8888FF"
				time	= "0.7"
				size	= "0.5"
			}

			param
			{
				color	= "0xFF000000"
				time	= "100.0"	// Any nonzero
				size	= "1.0"
			}
		}
	}
}