feudal
{
	user_name				= "The Feudal Lords"
	yield_timer				= "3"
	battle_countdown_time	= "10"
	battle_start_time		= "10"
	battle_cooldown			= "30"

	// Players
	players
	{
		player0
		{
			type		= "ai"
			name		= "Player"
			tribe		= "feudal"
			color		= "0xFF0000FF"
			resources	= "10"

			// Victory conditions
			victory
			{
				conditions
				{
					domination
					{
						countries	= "3"
					}

					hold_country
					{
						country		= "3"
						hold_time	= "20.0"
						held		= "0.0"
						continuous	= "true"
					}

					gather_money
					{
						sum			= "500"
					}
				}
			}

			// Triggers
			triggers
			{
				trigger
				{
					conditions
					{
						capture
						{
							country	= "3"
						}
					}

					actions
					{
						action
						{
							type	= "message"
							message	= "You have captured Norway! W00t!"
						}
					}
				}

				trigger
				{
					conditions
					{
						gather_money
						{
							sum		= "400"
						}
					}

					actions
					{
						action
						{
							type	= "message"
							message	= "You've gathered 400 gold. 100 more and victory will be achieved"
						}
					}
				}
			}
		}

		player1
		{
			type		= "ai"
			name		= "Lord 2"
			tribe		= "feudal"
			color		= "0xFF00FF00"
			resources	= "15"

			victory
			{
				conditions
				{
					domination
					{
						countries	 = "3"
					}
				}
			}
		}

		player2
		{
			type		= "ai"
			name		= "Lord Darling"
			tribe		= "feudal"
			color		= "0xFFFF0000"
			resources	= "20"

			victory
			{
				conditions
				{
					domination
					{
						countries	 = "3"
					}
				}
			}
		}

		player3
		{
			type		= "ai"
			name		= "Dagnir Grindfang"
			tribe		= "barbarian"
			color		= "0xFFFF00FF"
			resources	= "40"

			victory
			{
				conditions
				{
					domination
					{
						countries	 = "3"
					}
				}
			}
		}
	}

	// Mapfile to read
	$mapfile="Maps/test.cmp"

	// Countries in map
	countries
	{
		country
		{
			name		= "Sverige"
			resources	= "13"
			owner		= "0"
			yield		= "2"
		}

		country
		{
			name		= "Danmark"
			resources	= "30"
			owner		= "1"
			yield		= "3"
		}

		country
		{
			name		= "Finland"
			resources	= "30"
			owner		= "2"
			yield		= "1"
		}

		country
		{
			name		= "Norge"
			resources	= "40"
			owner		= "3"
			yield		= "4"
		}
	}
}