frontend
{
	$title=""
	$background=""

	start_menu="Main"

	intro_fade_begin="0"
	intro_fade_end="0"

	//$snd_up = "audio/menu/crsr.lsf,0,0,128,240"
	//$snd_down = "audio/menu/crsr.lsf,0,0,128,256"
	//$snd_enter = "audio/menu/newpage.lsf,0,0,255,256"
	//$snd_back = "audio/menu/newpage.lsf,0,0,255,240"

	menus
	{
		Main
		{
			caption=""
			class="std"
			theme = "normal"
			bluetooth="0"
			entry	{	caption="Single Battle"		cmd="MENU.SPSingleBattle"	}
			entry	{	caption="Campaign"			cmd="MENU.SPCampaign"		}
			entry	{	caption="Bluetooth"			cmd="MENU.MPRoot"			}
			entry	{	caption="Options"			cmd="MENU.Options"			}
			entry	{	caption="Catapedia"			cmd="MENU.Catapedia"		}
			debug	{	caption="Content Browser"	cmd="MENU.ContentBrowser"	}
			entry	{	caption="Exit"				cmd="QUIT"					}
		}

		ContentBrowser	{ class="contentbrowser" }

		SPSingleBattle
		{
			caption="SINGLE BATTLE"
			parent="Main"
			class="std"
			theme="normal"
			bluetooth="0"
			localhost="1"
	//		entry	{	caption="Scenario"			class="Scenarios"	arg="SDCARD:SPBattle"	}
	//		entry	{	caption="Difficulty"		class="Difficulty"							}
	//		entry	{	caption="Start"				cmd="MENU.SPLaunch"							}
			entry	{	caption="Automatic Mayhem"		cmd="GOTO.ARScan,SPLaunch,db/InstantAction.hxx"		}
			entry	{	caption="Barbarian VS Eastern"	cmd="GOTO.ARScan,SPLaunch,db/barVSeas.hxx"		}
			entry	{	caption="Eastern VS Babylonian"	cmd="GOTO.ARScan,SPLaunch,db/easVSbab.hxx"		}
			entry	{	caption="Feudal VS Undead"		cmd="GOTO.ARScan,SPLaunch,db/feuVSund.hxx"		}
			entry	{	caption="Babylonian VS Feudal"	cmd="GOTO.ARScan,SPLaunch,db/babVSfeu.hxx"		}
			entry	{	caption="Undead VS Barbarian"	cmd="GOTO.ARScan,SPLaunch,db/undVSbar.hxx"		}
		}

		SPCampaign
		{
			caption="CAMPAIGN"
			parent="Main"
			class="std"
			theme="normal"
			bluetooth="0"
			entry	{	caption="New"				cmd="MENU.SPNewCampaign"		}
			entry	{	caption="Continue"			cmd="MENU.SPContinueCampaign"	}
		}

		SPNewCampaign
		{
			caption="NEW CAMPAIGN"
			parent="SPCampaign"
			class="CampaignSelect"	
			theme="normal"
			address="campaign.preset"
			bluetooth="0"
			localhost="1"
		}

		SPContinueCampaign
		{
			caption="CONTINUE CAMPAIGN"
			parent="SPCampaign"
			class="CampaignSelect"
			theme="normal"
			address="savegames.campaignSP"
			bluetooth="0"
			localhost="1"
		}

		Options
		{
			caption="OPTIONS"
			parent="Main"
			class="Options"
			theme="normal"
		}

		MPRoot
		{
			caption="BLUETOOTH"
			parent="Main"
			class="std"
			theme="normal"
			bluetooth="1"
			entry	{	caption="Host Game"			cmd="MENU.Host"			}
			entry	{	caption="Join Game"			cmd="MENU.Join"			}
		}
	}

	themes
	{
		normal
		{
			caption_pos		= "-10,-50" // hide caption :)
			caption_align	= ""
			entries_pos		= "150,10"
			entries_align	= "left"

			background
			{
				count = "8"

				// ------------------
				// background image
				background_image
				{
					$texture = "frontend/background5.tga"
					size  = "320,240"
					intro
					{
						pos0 = "0,0"
						pos1 = "0,0"
						col0 = "0"
						col1 = "0xffffffff"
						time = "0.1"
						scroll = "0,0"
					}
					idle
					{
					}
					outro
					{
						pos0 = "0,0"
						pos1 = "0,0"
						col1 = "0"
						time = "0.1"
						scroll = "0,0"
					}
				}

				// ------------------
				// background image 2
				background_image_2
				{
					$texture = "frontend/background3.tga"
					size  = "320,240"
					color = "0x7fffffff"
					br_uv = "-1 , 1"
					intro
					{
						pos0 = "0,0"
						pos1 = "0,0"
						col0 = "0"
						col1 = "0x7fffffff"
						time = "0.1"
						scroll = "0,0"
					}
					idle
					{
						scroll = "-0.025,0"
					}
					outro
					{
						pos0 = "0,0"
						pos1 = "0,0"
						col1 = "0"
						time = "0.1"
						scroll = "0,0"
					}
				}

				// ------------------
				// background image 3
				background_image_3
				{
					$texture = "frontend/background3.tga"
					size  = "320,240"
					color = "0x7fffffff"
					
					br_uv = "1 , 1"
					intro
					{
						pos0 = "0,0"
						pos1 = "0,0"
						col0 = "0"
						col1 = "0x7fffffff"
						time = "0.1"
						scroll = "0,0"
					}
					idle
					{
						pos0 = "0,0"
						pos1 = "0,0"
						time = "0"
						scroll = "0.015,0"
					}
					outro
					{
						pos0 = "0,0"
						pos1 = "0,0"
						col1 = "0"
						time = "0.1"
						scroll = "0,0"
					}
				}

				// ------------------
				// back ground silloette
				ground_sillo
				{
					$texture = "frontend/siloette_front.tga,clamp_v"
					color = "0x32000000"
					size  = "256,160"
					tl_uv   = "0.5,0"
					br_uv   = "0.0 , 2.5"

					intro
					{
						pos0 = "80, 241"
						pos1 = "80, 150"
						col0 = "0"
						time = "0.15"
						scroll = "0 , 0"
					}

					idle
					{
						scroll = "-0.002 , 0"
					}

					// Outros
					normal 
					{
					}

					outro
					{
						pos0 = "80, 150"
						pos1 = "80, 241"
						col1 = "0"
						time = "0.15"
						scroll = "0 , 0"
					}
				}

				// ------------------
				// back ground silloette 2
				ground_sillo_2
				{
					$texture = "frontend/siloette_front.tga,clamp_v"
					color = "0xff181522"
					size  = "256,160"
					tl_uv   = "-0.5,0"
					br_uv   = "0.0 , 2.5"

					intro
					{
						pos0 = "80, 241"
						pos1 = "80, 160"
						time = "0.15"
						col0 = "0"
						scroll = "0 , 0"
					}

					idle
					{
						scroll = "0.007 , 0"
					}

					// Outros
					normal 
					{
					}

					outro
					{
						pos0 = "80, 160"
						pos1 = "80, 241"
						time = "0.15"
						col1 = "0"
						scroll = "0 , 0"
					}
				}

				// ------------------
				// ground silloette
				ground_sillo_3
				{
					$texture = "frontend/siloette_front2.tga,clamp_v"
					color = "0xff000000"
					size  = "256,160"
					tl_uv   = "0,0"
					br_uv   = "-0.5 , 2.5"

					intro
					{
						pos0 = "80, 241"
						pos1 = "80, 170"
						time = "0.15"
						scroll = "0 , 0"
					}

					idle
					{
						scroll = "-0.018 , 0"
					}

					// Outros
					normal 
					{
					}

					outro
					{
						pos0 = "80, 170"
						pos1 = "80, 241"
						time = "0.15"
						scroll = "0 , 0"
					}
				}

				// ------------------
				// Screen splitter
				splitter
				{
					$texture = "frontend/siloette_towerside_01.tga,clamp_uv"
					color = "0xff000000"
					size  = "130,240"
					tl_uv   = "-10,0"
					br_uv   = "1,1"

					intro
					{
						pos0 = "0,0"
						pos1 = "0,0"
						time = "0.1"
					}

					idle
					{
					}

					// Outros
					normal 
					{
					}

					outro
					{
						pos0 = "0,0"
						pos1 = "0,0"
						time = "0.1"
					}
				}

				// ------------------
				// logo
				logo
				{
					$texture = "frontend/logo_01.tga,clamp_uv"

					intro
					{
						pos0 = "0,10"
						pos1 = "0,10"
						col0 = "0"
						time = "0.2"
					}

					idle
					{
					}

					// Outros
					normal 
					{
					}

					outro
					{
						pos0 = "0,10"
						pos1 = "0,10"
						col1 = "0"
						time = "0.2"
					}
				}
			}
		}
	}
}

/*
	Main Menu		( CRootMenu )

		> Single Battle
		> Campaign
		> Bluetooth
		> Options
		> Catapedia
		> Exit

	----------------------------------------
	Bluetooth

		> Host Game
		> Join Game

		Host Game
		
			> Single Battle (Lobby)
			> Campaign (Lobby)

		Join Game

			> [List of hosts] (Lobby)
			* Refresh

			Lobby (Host)

				* Player Settings
				* Scenario
				* Game Settings
				> Ready!
				> Exit

			Lobby (Client)

				* Player Settings
				> Ready!
				> Exit


	----------------------------------------
	Single Battle

		* Scenario
		* Game Settings
		> Launch


	----------------------------------------
	Campaign
		
		> Continue
		> Start New

		Start New

			> Tutorial
			> Feudal Lords
			> Babylonian Kings
			> Eastern Empire
			> Undead Minions
			> Custom

		Continue

			> [List of savegames]


*/
