master
{
	#include="db/frontend.hxx"

	static // Loaded once, before any battle is started
	{
		#include="db/particles/particles.hxx"
		#include="db/battle/static.hxx"
	}

	battle // Selected parts are loaded during battles
	{
		#include="db/battle/default.hxx"
		#include="db/battle/feudal.hxx"
		#include="db/battle/barbarian.hxx"
		#include="db/battle/eastern.hxx"
		#include="db/battle/babylonian.hxx"
		#include="db/battle/undead.hxx"
	}

	tactical
	{
		#include="db/tactical/content.hxx"
	}

	campaign
	{
		preset
		{
			#include="db/campaign/barbarian.hxx"
			#include="db/campaign/feudal.hxx"
		}
	}

	reality
	{
		virtual
		{
			chasecam
			{
				speed	= "6.0"
			}

			topdowncam
			{
				speed	= "10.0"
				height	= "10.0"
				target	= "4.0, 0, 4.0"
			}
		}

		augmented
		{

		}
	}

	options // Default options
	{
		augreal
		{
			name="Augmented Reality"
			type="bool"
			current="1"
		}

		masvol
		{
			name="Master volume"
			type="real"
			current="0.5"
			step="0.1"
		}

		effvol
		{
			name="Effects volume"
			type="real"
			current="0.5"
			step="0.1"
		}

		musvol
		{
			name="Music volume"
			type="real"
			current="0.5"
			step="0.1"
		}

		vibro
		{
			name="Vibrations"
			type="bool"
			current="1"
		}
	}

	enums // global enum list
	{

	}

	user // All user-created content should be here
	{
		options // custom options
		{
		}

		campaigns // saved campaigns
		{
		}
	}
}